Subject: Re: bug#6339: url-filename => "/c:/some/file.txt"

From: Jason Rumney <[email-masked]>
Date: Thu, 06 Oct 2011 22:38:29 +0800

Juanma Barranquero <[email-masked]> writes:

> On Thu, Oct 6, 2011 at 16:24, Jason Rumney <[email-masked]> wrote:
>
>> This is a general url-parsing function, changing this to not return
>> the leading / on the file portion of the url will break every other user
>> of this function.
>
> Only the ones that incorrectly assume that the slash is part of the
> path. The ones that use expand-file-name, as Kevin pointed out, will
> continue to work.

It is incorrect to assume that the slash is NOT part of the file portion
of the URL, when actual usage in http, ftp, gopher and file URLs on
platforms other than Windows and VMS relies on the leading slash being
preserved.